Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024311
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2013-07-10 17:082013-07-24 17:28
ReportermigueldejuanaView Statuspublic 
Assigned Tomigueldejuana 
PrioritynormalResolutionfixedFixed in VersionRMP25
StatusclosedFix in branchFixed in SCM revision8de2bea29c13
ProjectionnoneETAnoneTarget VersionRMP25
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024311: Code of posterminal has been added in core with Multiorder

DescriptionTwo functions have been added to core module instead to posterminal. https://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/f208b1d75231 [^]
Steps To ReproduceNothing
Proposed SolutionMove those functions to a new utilities.js file
TagsNo tags attached.
Attached Filesdiff file icon issue24311-posterminal.diff [^] (4,963 bytes) 2013-07-10 18:00 [Show Content]
diff file icon issue24311-mobilecore.diff [^] (2,938 bytes) 2013-07-10 18:01 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0059942)
migueldejuana (developer)
2013-07-10 18:01

Solution attached
(0059992)
hgbot (developer)
2013-07-16 11:02

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 62f46f3829aab1d8629e44385909ebe572bc2f34
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Jul 16 11:01:54 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/62f46f3829aab1d8629e44385909ebe572bc2f34 [^]

Fixed issue 24311. Removed POS-specific code from mobile.core

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/mobile/core/login/MobileCoreLoginHandler.java
M web/org.openbravo.mobile.core/source/component/ob-login.js
M web/org.openbravo.mobile.core/source/utils/ob-utilities.js
---
(0059993)
hgbot (developer)
2013-07-16 11:02

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 8de2bea29c13a9e2b144b2ea4a16c8ae8d0ba257
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Jul 16 11:02:32 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/8de2bea29c13a9e2b144b2ea4a16c8ae8d0ba257 [^]

Fixed issue 24311. Readded POS-specific code to posterminal.

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0059994)
hgbot (developer)
2013-07-16 11:04

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: f1e7301d82132aca673896ecd76604cb519466c3
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Jul 16 11:03:56 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/f1e7301d82132aca673896ecd76604cb519466c3 [^]

Related to issue 24311. Reverted previous commit as it was incorrect.

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/mobile/core/login/MobileCoreLoginHandler.java
M web/org.openbravo.mobile.core/source/component/ob-login.js
M web/org.openbravo.mobile.core/source/utils/ob-utilities.js
---
(0059995)
hgbot (developer)
2013-07-16 11:04

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: b08a52a76bc1f5e80f2c9fba98555e7c4234ec2c
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Jul 16 11:04:28 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/b08a52a76bc1f5e80f2c9fba98555e7c4234ec2c [^]

Fixed issue 24311. Removed POS-specific code from mobile.core

---
M web/org.openbravo.mobile.core/source/utils/ob-utilities.js
---
(0060205)
guilleaer (developer)
2013-07-23 18:46

verified
(0060228)
hgbot (developer)
2013-07-24 13:32

Repository: erp/pmods/org.openbravo.mobile.core-col
Changeset: 62f46f3829aab1d8629e44385909ebe572bc2f34
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Jul 16 11:01:54 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core-col/rev/62f46f3829aab1d8629e44385909ebe572bc2f34 [^]

Fixed issue 24311. Removed POS-specific code from mobile.core

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/mobile/core/login/MobileCoreLoginHandler.java
M web/org.openbravo.mobile.core/source/component/ob-login.js
M web/org.openbravo.mobile.core/source/utils/ob-utilities.js
---
(0060229)
hgbot (developer)
2013-07-24 13:32

Repository: erp/pmods/org.openbravo.mobile.core-col
Changeset: f1e7301d82132aca673896ecd76604cb519466c3
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Jul 16 11:03:56 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core-col/rev/f1e7301d82132aca673896ecd76604cb519466c3 [^]

Related to issue 24311. Reverted previous commit as it was incorrect.

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/mobile/core/login/MobileCoreLoginHandler.java
M web/org.openbravo.mobile.core/source/component/ob-login.js
M web/org.openbravo.mobile.core/source/utils/ob-utilities.js
---
(0060230)
hgbot (developer)
2013-07-24 13:32

Repository: erp/pmods/org.openbravo.mobile.core-col
Changeset: b08a52a76bc1f5e80f2c9fba98555e7c4234ec2c
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Jul 16 11:04:28 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core-col/rev/b08a52a76bc1f5e80f2c9fba98555e7c4234ec2c [^]

Fixed issue 24311. Removed POS-specific code from mobile.core

---
M web/org.openbravo.mobile.core/source/utils/ob-utilities.js
---
(0060234)
hgbot (developer)
2013-07-24 13:40

Repository: erp/pmods/org.openbravo.retail.posterminal-col
Changeset: 8de2bea29c13a9e2b144b2ea4a16c8ae8d0ba257
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Tue Jul 16 11:02:32 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-col/rev/8de2bea29c13a9e2b144b2ea4a16c8ae8d0ba257 [^]

Fixed issue 24311. Readded POS-specific code to posterminal.

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0060273)
guilleaer (developer)
2013-07-24 17:28

reclosing

- Issue History
Date Modified Username Field Change
2013-07-10 17:08 migueldejuana New Issue
2013-07-10 17:08 migueldejuana Assigned To => migueldejuana
2013-07-10 18:00 migueldejuana File Added: issue24311-posterminal.diff
2013-07-10 18:01 migueldejuana File Added: issue24311-mobilecore.diff
2013-07-10 18:01 migueldejuana Note Added: 0059942
2013-07-16 11:02 hgbot Checkin
2013-07-16 11:02 hgbot Note Added: 0059992
2013-07-16 11:02 hgbot Status new => resolved
2013-07-16 11:02 hgbot Resolution open => fixed
2013-07-16 11:02 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/62f46f3829aab1d8629e44385909ebe572bc2f34 [^]
2013-07-16 11:02 hgbot Checkin
2013-07-16 11:02 hgbot Note Added: 0059993
2013-07-16 11:02 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/62f46f3829aab1d8629e44385909ebe572bc2f34 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/8de2bea29c13a9e2b144b2ea4a16c8ae8d0ba257 [^]
2013-07-16 11:04 hgbot Checkin
2013-07-16 11:04 hgbot Note Added: 0059994
2013-07-16 11:04 hgbot Checkin
2013-07-16 11:04 hgbot Note Added: 0059995
2013-07-16 11:04 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/8de2bea29c13a9e2b144b2ea4a16c8ae8d0ba257 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/b08a52a76bc1f5e80f2c9fba98555e7c4234ec2c [^]
2013-07-23 18:46 guilleaer Review Assigned To => guilleaer
2013-07-23 18:46 guilleaer Note Added: 0060205
2013-07-23 18:46 guilleaer Status resolved => closed
2013-07-23 18:46 guilleaer Fixed in Version => RMP25
2013-07-24 13:32 hgbot Checkin
2013-07-24 13:32 hgbot Note Added: 0060228
2013-07-24 13:32 hgbot Status closed => resolved
2013-07-24 13:32 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/b08a52a76bc1f5e80f2c9fba98555e7c4234ec2c [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core-col/rev/62f46f3829aab1d8629e44385909ebe572bc2f34 [^]
2013-07-24 13:32 hgbot Checkin
2013-07-24 13:32 hgbot Note Added: 0060229
2013-07-24 13:32 hgbot Checkin
2013-07-24 13:32 hgbot Note Added: 0060230
2013-07-24 13:32 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core-col/rev/62f46f3829aab1d8629e44385909ebe572bc2f34 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core-col/rev/b08a52a76bc1f5e80f2c9fba98555e7c4234ec2c [^]
2013-07-24 13:40 hgbot Checkin
2013-07-24 13:40 hgbot Note Added: 0060234
2013-07-24 13:40 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core-col/rev/b08a52a76bc1f5e80f2c9fba98555e7c4234ec2c [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-col/rev/8de2bea29c13a9e2b144b2ea4a16c8ae8d0ba257 [^]
2013-07-24 17:28 guilleaer Note Added: 0060273
2013-07-24 17:28 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker